------------------------------------------------------------------------------
--
--  package Base_Types (body)
--
------------------------------------------------------------------------------
--  Standard packages:

with Ada.Text_IO;

------------------------------------------------------------------------------

package body Base_Types is

   ---------------------------------------------------------------------------
   --  procedure Translate:

   procedure Translate (Point     : in out Position_Type;
                        Direction : in     Directions) is

      use Ada.Text_IO;

   begin --  Translate
      case Direction is
         when North => Point := (X => Point.X,
                                 Y => Point.Y + 1);
         when East  => Point := (X => Point.X + 1,
                                 Y => Point.Y);
         when South => Point := (X => Point.X,
                                 Y => Point.Y - 1);
         when West  => Point := (X => Point.X - 1,
                                 Y => Point.Y);
      end case;
   exception
      when others =>
         Put_Line (File => Current_Error,
                   Item => "Somebody tried to move off the board.");
   end Translate;

   ---------------------------------------------------------------------------
   --  function Translate:

   function Translate (Point     : in     Position_Type;
                       Direction : in     Directions) return Position_Type is
      Buffer : Position_Type := Point;
   begin --  Translate
      Translate (Point     => Buffer,
                 Direction => Direction);
      return Buffer;
   end Translate;

   ---------------------------------------------------------------------------

end Base_Types;
