------------------------------------------------------------------------------
--
--  package Bids (body)
--
------------------------------------------------------------------------------
--  Standard packages:

------------------------------------------------------------------------------
--  Other packages:

with Tracking;

------------------------------------------------------------------------------

package body Bids is
   function Normal_Bid (S : Situation_Type) return Base_Types.Bid_Type is
      use type Base_Types.Gift_Counter;
   begin
      case S.Situation is
         when Should_Drop =>
            return Base_Types.Bid_Type (4 * S.Number_To_Be_Dropped);
         when Could_Push  => return Base_Types.Bid_Type (S.Max_Pushables + 2);
         when Should_Pick =>
            return Base_Types.Bid_Type (2 * S.Number_To_Be_Picked);
         when Normal      => return 1;
      end case;
   end Normal_Bid;
   ---------------------------------------------------------------------------
   --  function Bid:

   function Bid (Circumstances : Situation_Type) return Base_Types.Bid_Type is
      use type Base_Types.Bid_Type;

      Cash       : constant Base_Types.Money :=
                     Tracking.Own_Configuration.Cash;
   begin
      if Normal_Bid (Circumstances) > Cash then
         return Cash;
      else
         return Normal_Bid (Circumstances);
      end if;
   end Bid;

   ---------------------------------------------------------------------------

end Bids;
