------------------------------------------------------------------------------
--
--  package Gift_Handling (spec)
--
------------------------------------------------------------------------------
--  Standard packages:

------------------------------------------------------------------------------
--  Other packages:

with Base_Types;
with Tracking;

------------------------------------------------------------------------------

package Gift_Handling is

   ---------------------------------------------------------------------------
   --  function Importance:
   --
   --  The value of a gift relative to the distance it has to be transported.

   function Importance (Item : in Base_Types.Gift_Type) return Float;

   ---------------------------------------------------------------------------
   --  function Spare_Capacity:
   --  
   --  The difference between the actual and the used carrying capacity of the
   --  robot.

   function Spare_Capacity return Base_Types.Weight_Type;

   ---------------------------------------------------------------------------
   --  procedure Pick_Or_Drop:

   procedure Pick_Or_Drop (No_Changes :    out Boolean;
                           Command    :    out Base_Types.Command);

   ---------------------------------------------------------------------------

end Gift_Handling;
