with Base_Types;
with Server_Communications;

-- Warning!
-- needs to deal with the varying sizes of the board. Ignored for the present!!
-- Warning!
package Tracking is
   ----------------------------------------------------------------------------
   -- Make sure that the state is current.
   procedure Set_Board (Board : in Base_Types.Board_Type);

   procedure Set_Robot_Configuration
     (Configuration : in Base_Types.Robot_Configuration);

   procedure Update_with (Robot : in Base_Types.Robot_ID;
                          Result : in Server_Communications.Action_Result);

   procedure Clear_Available_Gifts;
   procedure Gift_At_Tile (Gift : Base_Types.Gift_Type);
   procedure Start_Keeping_Track_Of_Robots;
   procedure Stop_Keeping_Track_Of_Robots;
   procedure Register_Robot_Exists (Robot : in Base_Types.Robot_ID);
   ----------------------------------------------------------------------------
   -- return information on the present state.

   function Return_Board_State return Base_Types.Board_Type;
   function Board (Position : Base_Types.Position_Type)
     return Base_Types.Tile_state;

   function Own_Gifts return Base_Types.Gift_List;
   function Own_Gifts return Base_Types.Gift_Type_List;

   function Get_Available_Gifts return Base_Types.Gift_List;
   function Get_Available_Gifts return Base_Types.Gift_Type_List;

   function Weight (Gift : Base_Types.Gift_ID) return Base_Types.Weight_Type;

   function Own_Configuration return Base_Types.Robot_Configuration;

   function Robot_Position (Robot : in Base_Types.Robot_ID)
     return Base_Types.Position_Type;
--   procedure Robot_List (Robots : out );
end Tracking;











